Prerequisites - BloomReach Experience - Open Source CMS
23-05-2019

Prerequisites

Previous: Get Started

Prepare your environment to create a BloomReach Experience Manager project.

You start a new BloomReach Experience Manager project by generating a Maven project from the BloomReach Experience Manager archetype. For this, you need:

  • A working installation of Java 8
  • Maven version 3.3.9+.

This tutorial also assumes that you have some basic knowledge on how to use Maven. Make sure your Maven installation works properly and that, if you are on Windows, you don't have spaces in either your Maven installation path or the path to your local Maven repository.

Working with an IDE

Since BloomReach Experience Manager is a Maven based project, you can open it and run it using almost any IDE you wish. Importing a Maven project into an IDE can really speed up your development, maintenance and testing procedures. Here are instructions on opening, running, and debugging BloomReach Experience Manager from within Eclipse or IntelliJ:

Next: Create the Project

Did you find this page helpful?
How could this documentation serve you better?
On this page
    Did you find this page helpful?
    How could this documentation serve you better?